Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SoPlex/releases/1.2.2/configure

    r2984 r2985  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-soplex compile project SoPlex with debug compiler flags
    1084 
    1085   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1084  --enable-doscompile     Under Cygwin, compile so that executables run under
     1085                          DOS. Set to mingw to use gcc/g++/ld with
     1086                          -mno-cygwin. Set to msvc to use cl/link (or
     1087                          icl/link). Default when mentioned: mingw. Default
     1088                          when not mentioned: disabled.
    10861089  --disable-pkg-config    disable use of pkg-config (if available)
    10871090  --enable-static[=PKGS]
     
    18781881
    18791882# Get the name of the C compiler and appropriate compiler options
    1880 
    1881 
    1882   # for backward compatibility
    1883   # Check whether --enable-doscompile or --disable-doscompile was given.
    1884 if test "${enable_doscompile+set}" = set; then
    1885   enableval="$enable_doscompile"
    1886   enable_doscompile=$enableval
    1887 else
    1888   enable_doscompile=no
    1889 fi;
    1890 
    1891   # Check whether --enable-msvc or --disable-msvc was given.
    1892 if test "${enable_msvc+set}" = set; then
    1893   enableval="$enable_msvc"
    1894   enable_msvc=$enableval
    1895 else
    1896   enable_msvc=no
    1897      if test "$enable_doscompile" = msvc ; then
    1898        enable_msvc=yes
    1899      elif test "$enable_doscompile" != no ; then
    1900        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1901 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1902    { (exit 1); exit 1; }; }
    1903      fi
    1904 
    1905 fi;
    1906 
    1907   if test "$enable_msvc" = yes; then
    1908     case $build in
    1909       *-cygwin* | *-mingw*) ;;
    1910       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1911 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1912    { (exit 1); exit 1; }; } ;;
    1913     esac
    1914   fi
    1915 
    1916 
    1917  case $build in
     1883case $build in
    19181884  *-mingw*)
    19191885    if test "${LD+set}" = set; then :; else
     
    19221888    ;;
    19231889 esac
    1924  if test $enable_msvc = yes ; then
    1925    if test "x${LD+set}" = xset; then :; else
    1926      LD=link
     1890 case $enable_doscompile in
     1891   msvc)
     1892     if test "x${LD+set}" = xset; then :; else
     1893       LD=link
     1894     fi
     1895     ;;
     1896 esac
     1897
     1898
     1899 # Check whether --enable-doscompile or --disable-doscompile was given.
     1900if test "${enable_doscompile+set}" = set; then
     1901  enableval="$enable_doscompile"
     1902  if test "$enable_doscompile" != no; then
     1903     case $build in
     1904       *-cygwin* | *-mingw*) ;;
     1905       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1906echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1907   { (exit 1); exit 1; }; } ;;
     1908     esac
    19271909   fi
    1928  fi
     1910else
     1911  enable_doscompile=no
     1912fi;
     1913 case "$enable_doscompile" in
     1914   mingw)
     1915     case $build in
     1916       *-mingw*) enable_doscompile=no ;;
     1917     esac
     1918     ;;
     1919   msvc|no) ;;
     1920   yes) enable_doscompile=mingw ;;
     1921   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1922                    Try configure --help=recursive." >&5
     1923echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1924                    Try configure --help=recursive." >&2;}
     1925   { (exit 1); exit 1; }; }
     1926      ;;
     1927  esac
     1928  if test "$enable_doscompile" != no ; then
     1929    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1930echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1931  fi
    19291932
    19301933
     
    19691972case $build in
    19701973  *-cygwin* | *-mingw*)
    1971              if test "$enable_msvc" = yes ; then
    1972                comps="icl cl gcc"
     1974             if test "$enable_doscompile" = msvc ; then
     1975               comps="icl cl"
    19731976             else
    1974                comps="gcc icl cl"
     1977               comps="gcc cl"
    19751978             fi ;;
    19761979  *-*-solaris*)
     
    28252828            ;;
    28262829        esac
     2830        case $enable_doscompile in
     2831          mingw)
     2832            CFLAGS="-mno-cygwin"
     2833            cat >conftest.$ac_ext <<_ACEOF
     2834/* confdefs.h.  */
     2835_ACEOF
     2836cat confdefs.h >>conftest.$ac_ext
     2837cat >>conftest.$ac_ext <<_ACEOF
     2838/* end confdefs.h.  */
     2839
     2840int
     2841main ()
     2842{
     2843int i=0; i++;
     2844  ;
     2845  return 0;
     2846}
     2847_ACEOF
     2848rm -f conftest.$ac_objext conftest$ac_exeext
     2849if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2850  (eval $ac_link) 2>conftest.er1
     2851  ac_status=$?
     2852  grep -v '^ *+' conftest.er1 >conftest.err
     2853  rm -f conftest.er1
     2854  cat conftest.err >&5
     2855  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2856  (exit $ac_status); } &&
     2857         { ac_try='test -z "$ac_c_werror_flag"
     2858                         || test ! -s conftest.err'
     2859  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2860  (eval $ac_try) 2>&5
     2861  ac_status=$?
     2862  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2863  (exit $ac_status); }; } &&
     2864         { ac_try='test -s conftest$ac_exeext'
     2865  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2866  (eval $ac_try) 2>&5
     2867  ac_status=$?
     2868  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2869  (exit $ac_status); }; }; then
     2870  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2871else
     2872  echo "$as_me: failed program was:" >&5
     2873sed 's/^/| /' conftest.$ac_ext >&5
     2874
     2875fi
     2876rm -f conftest.err conftest.$ac_objext \
     2877      conftest$ac_exeext conftest.$ac_ext
     2878            CFLAGS=
     2879          ;;
     2880        esac
    28272881    esac
    28282882  fi
     
    31653219  clang* ) ;;
    31663220  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3167 
    3168  case $build in
     3221    case $build in
    31693222  *-mingw*)
    31703223    if test "${LD+set}" = set; then :; else
     
    31733226    ;;
    31743227 esac
    3175  if test $enable_msvc = yes ; then
    3176    if test "x${LD+set}" = xset; then :; else
    3177      LD=link
    3178    fi
    3179  fi
     3228 case $enable_doscompile in
     3229   msvc)
     3230     if test "x${LD+set}" = xset; then :; else
     3231       LD=link
     3232     fi
     3233     ;;
     3234 esac
    31803235
    31813236    ;;
     
    32123267case $build in
    32133268  *-cygwin* | *-mingw*)
    3214       if test "$enable_msvc" = yes ; then
    3215          comps="icl cl g++"
    3216       else
    3217          comps="g++ icl cl"
    3218       fi ;;
     3269             if test "$enable_doscompile" = msvc ; then
     3270               comps="icl cl"
     3271             else
     3272               comps="g++ cl"
     3273             fi ;;
    32193274  *-*-solaris*)
    32203275             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    37243779            ;;
    37253780        esac
     3781
     3782        case $enable_doscompile in
     3783          mingw)
     3784            CXXFLAGS="-mno-cygwin"
     3785            cat >conftest.$ac_ext <<_ACEOF
     3786/* confdefs.h.  */
     3787_ACEOF
     3788cat confdefs.h >>conftest.$ac_ext
     3789cat >>conftest.$ac_ext <<_ACEOF
     3790/* end confdefs.h.  */
     3791
     3792int
     3793main ()
     3794{
     3795int i=0; i++;
     3796  ;
     3797  return 0;
     3798}
     3799_ACEOF
     3800rm -f conftest.$ac_objext conftest$ac_exeext
     3801if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3802  (eval $ac_link) 2>conftest.er1
     3803  ac_status=$?
     3804  grep -v '^ *+' conftest.er1 >conftest.err
     3805  rm -f conftest.er1
     3806  cat conftest.err >&5
     3807  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3808  (exit $ac_status); } &&
     3809         { ac_try='test -z "$ac_cxx_werror_flag"
     3810                         || test ! -s conftest.err'
     3811  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3812  (eval $ac_try) 2>&5
     3813  ac_status=$?
     3814  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3815  (exit $ac_status); }; } &&
     3816         { ac_try='test -s conftest$ac_exeext'
     3817  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3818  (eval $ac_try) 2>&5
     3819  ac_status=$?
     3820  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3821  (exit $ac_status); }; }; then
     3822  coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
     3823else
     3824  echo "$as_me: failed program was:" >&5
     3825sed 's/^/| /' conftest.$ac_ext >&5
     3826
     3827fi
     3828rm -f conftest.err conftest.$ac_objext \
     3829      conftest$ac_exeext conftest.$ac_ext
     3830            CXXFLAGS=
     3831          ;;
     3832        esac
    37263833    esac
    37273834  fi
     
    40754182  clang* ) ;;
    40764183  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4077 
    4078  case $build in
     4184    case $build in
    40794185  *-mingw*)
    40804186    if test "${LD+set}" = set; then :; else
     
    40834189    ;;
    40844190 esac
    4085  if test $enable_msvc = yes ; then
    4086    if test "x${LD+set}" = xset; then :; else
    4087      LD=link
    4088    fi
    4089  fi
     4191 case $enable_doscompile in
     4192   msvc)
     4193     if test "x${LD+set}" = xset; then :; else
     4194       LD=link
     4195     fi
     4196     ;;
     4197 esac
    40904198
    40914199    ;;
     
    60586166*-*-irix6*)
    60596167  # Find out which ABI we are using.
    6060   echo '#line 6060 "configure"' > conftest.$ac_ext
     6168  echo '#line 6168 "configure"' > conftest.$ac_ext
    60616169  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60626170  (eval $ac_compile) 2>&5
     
    71927300
    71937301# Provide some information about the compiler.
    7194 echo "$as_me:7194:" \
     7302echo "$as_me:7302:" \
    71957303     "checking for Fortran 77 compiler version" >&5
    71967304ac_compiler=`set X $ac_compile; echo $2`
     
    82598367   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82608368   -e 's:$: $lt_compiler_flag:'`
    8261    (eval echo "\"\$as_me:8261: $lt_compile\"" >&5)
     8369   (eval echo "\"\$as_me:8369: $lt_compile\"" >&5)
    82628370   (eval "$lt_compile" 2>conftest.err)
    82638371   ac_status=$?
    82648372   cat conftest.err >&5
    8265    echo "$as_me:8265: \$? = $ac_status" >&5
     8373   echo "$as_me:8373: \$? = $ac_status" >&5
    82668374   if (exit $ac_status) && test -s "$ac_outfile"; then
    82678375     # The compiler can only warn and ignore the option if not recognized
     
    85278635   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85288636   -e 's:$: $lt_compiler_flag:'`
    8529    (eval echo "\"\$as_me:8529: $lt_compile\"" >&5)
     8637   (eval echo "\"\$as_me:8637: $lt_compile\"" >&5)
    85308638   (eval "$lt_compile" 2>conftest.err)
    85318639   ac_status=$?
    85328640   cat conftest.err >&5
    8533    echo "$as_me:8533: \$? = $ac_status" >&5
     8641   echo "$as_me:8641: \$? = $ac_status" >&5
    85348642   if (exit $ac_status) && test -s "$ac_outfile"; then
    85358643     # The compiler can only warn and ignore the option if not recognized
     
    86318739   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86328740   -e 's:$: $lt_compiler_flag:'`
    8633    (eval echo "\"\$as_me:8633: $lt_compile\"" >&5)
     8741   (eval echo "\"\$as_me:8741: $lt_compile\"" >&5)
    86348742   (eval "$lt_compile" 2>out/conftest.err)
    86358743   ac_status=$?
    86368744   cat out/conftest.err >&5
    8637    echo "$as_me:8637: \$? = $ac_status" >&5
     8745   echo "$as_me:8745: \$? = $ac_status" >&5
    86388746   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86398747   then
     
    1097611084  lt_status=$lt_dlunknown
    1097711085  cat > conftest.$ac_ext <<EOF
    10978 #line 10978 "configure"
     11086#line 11086 "configure"
    1097911087#include "confdefs.h"
    1098011088
     
    1107611184  lt_status=$lt_dlunknown
    1107711185  cat > conftest.$ac_ext <<EOF
    11078 #line 11078 "configure"
     11186#line 11186 "configure"
    1107911187#include "confdefs.h"
    1108011188
     
    1342013528   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1342113529   -e 's:$: $lt_compiler_flag:'`
    13422    (eval echo "\"\$as_me:13422: $lt_compile\"" >&5)
     13530   (eval echo "\"\$as_me:13530: $lt_compile\"" >&5)
    1342313531   (eval "$lt_compile" 2>conftest.err)
    1342413532   ac_status=$?
    1342513533   cat conftest.err >&5
    13426    echo "$as_me:13426: \$? = $ac_status" >&5
     13534   echo "$as_me:13534: \$? = $ac_status" >&5
    1342713535   if (exit $ac_status) && test -s "$ac_outfile"; then
    1342813536     # The compiler can only warn and ignore the option if not recognized
     
    1352413632   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1352513633   -e 's:$: $lt_compiler_flag:'`
    13526    (eval echo "\"\$as_me:13526: $lt_compile\"" >&5)
     13634   (eval echo "\"\$as_me:13634: $lt_compile\"" >&5)
    1352713635   (eval "$lt_compile" 2>out/conftest.err)
    1352813636   ac_status=$?
    1352913637   cat out/conftest.err >&5
    13530    echo "$as_me:13530: \$? = $ac_status" >&5
     13638   echo "$as_me:13638: \$? = $ac_status" >&5
    1353113639   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1353213640   then
     
    1509415202   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1509515203   -e 's:$: $lt_compiler_flag:'`
    15096    (eval echo "\"\$as_me:15096: $lt_compile\"" >&5)
     15204   (eval echo "\"\$as_me:15204: $lt_compile\"" >&5)
    1509715205   (eval "$lt_compile" 2>conftest.err)
    1509815206   ac_status=$?
    1509915207   cat conftest.err >&5
    15100    echo "$as_me:15100: \$? = $ac_status" >&5
     15208   echo "$as_me:15208: \$? = $ac_status" >&5
    1510115209   if (exit $ac_status) && test -s "$ac_outfile"; then
    1510215210     # The compiler can only warn and ignore the option if not recognized
     
    1519815306   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1519915307   -e 's:$: $lt_compiler_flag:'`
    15200    (eval echo "\"\$as_me:15200: $lt_compile\"" >&5)
     15308   (eval echo "\"\$as_me:15308: $lt_compile\"" >&5)
    1520115309   (eval "$lt_compile" 2>out/conftest.err)
    1520215310   ac_status=$?
    1520315311   cat out/conftest.err >&5
    15204    echo "$as_me:15204: \$? = $ac_status" >&5
     15312   echo "$as_me:15312: \$? = $ac_status" >&5
    1520515313   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1520615314   then
     
    1740517513   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1740617514   -e 's:$: $lt_compiler_flag:'`
    17407    (eval echo "\"\$as_me:17407: $lt_compile\"" >&5)
     17515   (eval echo "\"\$as_me:17515: $lt_compile\"" >&5)
    1740817516   (eval "$lt_compile" 2>conftest.err)
    1740917517   ac_status=$?
    1741017518   cat conftest.err >&5
    17411    echo "$as_me:17411: \$? = $ac_status" >&5
     17519   echo "$as_me:17519: \$? = $ac_status" >&5
    1741217520   if (exit $ac_status) && test -s "$ac_outfile"; then
    1741317521     # The compiler can only warn and ignore the option if not recognized
     
    1767317781   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1767417782   -e 's:$: $lt_compiler_flag:'`
    17675    (eval echo "\"\$as_me:17675: $lt_compile\"" >&5)
     17783   (eval echo "\"\$as_me:17783: $lt_compile\"" >&5)
    1767617784   (eval "$lt_compile" 2>conftest.err)
    1767717785   ac_status=$?
    1767817786   cat conftest.err >&5
    17679    echo "$as_me:17679: \$? = $ac_status" >&5
     17787   echo "$as_me:17787: \$? = $ac_status" >&5
    1768017788   if (exit $ac_status) && test -s "$ac_outfile"; then
    1768117789     # The compiler can only warn and ignore the option if not recognized
     
    1777717885   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1777817886   -e 's:$: $lt_compiler_flag:'`
    17779    (eval echo "\"\$as_me:17779: $lt_compile\"" >&5)
     17887   (eval echo "\"\$as_me:17887: $lt_compile\"" >&5)
    1778017888   (eval "$lt_compile" 2>out/conftest.err)
    1778117889   ac_status=$?
    1778217890   cat out/conftest.err >&5
    17783    echo "$as_me:17783: \$? = $ac_status" >&5
     17891   echo "$as_me:17891: \$? = $ac_status" >&5
    1778417892   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1778517893   then
     
    2131421422echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2131521423coin_link_input_cmd="$LN_S"
     21424if test "$enable_doscompile" = mingw; then
     21425  coin_link_input_cmd=cp
     21426fi
    2131621427case "$CC" in
    2131721428  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.